diff a/src/hotspot/share/gc/shenandoah/shenandoahWorkerPolicy.hpp b/src/hotspot/share/gc/shenandoah/shenandoahWorkerPolicy.hpp
--- a/src/hotspot/share/gc/shenandoah/shenandoahWorkerPolicy.hpp
+++ b/src/hotspot/share/gc/shenandoah/shenandoahWorkerPolicy.hpp
@@ -26,30 +26,20 @@
 #define SHARE_GC_SHENANDOAH_SHENANDOAHWORKERPOLICY_HPP
 
 #include "memory/allStatic.hpp"
 
 class ShenandoahWorkerPolicy : AllStatic {
-private:
-  static uint _prev_par_marking;
-  static uint _prev_conc_marking;
-  static uint _prev_conc_root_proc;
-  static uint _prev_conc_refs_proc;
-  static uint _prev_conc_evac;
-  static uint _prev_fullgc;
-  static uint _prev_degengc;
-  static uint _prev_conc_update_ref;
-  static uint _prev_par_update_ref;
-  static uint _prev_conc_cleanup;
-  static uint _prev_conc_reset;
-
 public:
   // Calculate the number of workers for initial marking
   static uint calc_workers_for_init_marking();
 
   // Calculate the number of workers for concurrent marking
   static uint calc_workers_for_conc_marking();
 
+  // Calculate the number of workers for remembered set scanning
+  static uint calc_workers_for_rs_scanning();
+
   // Calculate the number of workers for final marking
   static uint calc_workers_for_final_marking();
 
   // Calculate workers for concurrent root processing
   static uint calc_workers_for_conc_root_processing();
@@ -70,13 +60,10 @@
   static uint calc_workers_for_conc_update_ref();
 
   // Calculate workers for parallel/final reference update
   static uint calc_workers_for_final_update_ref();
 
-  // Calculate workers for concurrent cleanup
-  static uint calc_workers_for_conc_cleanup();
-
   // Calculate workers for concurrent reset
   static uint calc_workers_for_conc_reset();
 };
 
 #endif // SHARE_GC_SHENANDOAH_SHENANDOAHWORKERPOLICY_HPP
